Subject: Re: [bitcoin-dev] CTV BIP review

From: Billy Tetrud <[email-masked]>
Date: Fri, 21 Jan 2022 11:36:13 -0600

>  the **only** material distinction (and the one that we are discussing)
is activation with or without majority hash power support

I agree that characterization specifically is not moot. But its also
orthogonal to the topic of the CTV opcode itself.

On Thu, Jan 20, 2022 at 4:03 PM <[email-masked]> wrote:

> > BIP8 is also BIP9 based, and ST is its own thing that's neither BIP8
> nor BIP9, so characterization one way or another is moot IMO.
>
>
>
> For a selective definition of “based” you can draw any conclusion you
> desire. However I was very clear, as was Luke, and the history on this
> issue is equally clear, that the **only** material distinction (and the
> one that we are discussing) is activation with or without majority hash
> power support. BIP9/ST requires this support, BIP8 does not. The
> characterization is not moot. It is the central issue and always has been.
> There was no compromise on this question made in Taproot.
>
>
>
> e
>
>
>
> *From:* Billy Tetrud <[email-masked]>
> *Sent:* Thursday, January 20, 2022 7:23 AM
>
> Thank you Eric for pointing out the factual errors in LukeJr's mention and
> implications around BIP8. The fact is that the ST pull request was
> described as "BIP9-based" <https://github.com/bitcoin/bitcoin/pull/21377>.
> TBH BIP8 is also BIP9 based, and ST is its own thing that's neither BIP8
> nor BIP9, so characterization one way or another is moot IMO. In any case,
> I also agree with Michael that this isn't the place to have a long
> discussion about activation method. That discussion should be kept
> separate. I'd go so far to say that BIPs should not advocate for any
> particular activation method, but should only go so far as to mention what
> types of activation methods are possible (if some types aren't possible for
> some reason). Separation of concerns would be very useful on that front
> to reduce noise in conversations.
>
>
>
> Thanks,
>
> BT
>
>
>